unit UFrmGrafTabla1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeeProcs, TeEngine, Chart, ExtCtrls, Buttons, Series,
  TeCanvas;

type
  TFrmGrafTabla1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Chart1: TChart;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  type
  arreglo2 = array of double;
  arreglo3 = array of double;
  arreglo4 = array of double;
  arreglo5 = array of double;
  arreglo6 = array of double;
  arreglo7 = array of double;
  arreglo8 = array of double;
  arreglo9 = array of double;

var
  FrmGrafTabla1: TFrmGrafTabla1;
             d : arreglo2;
             e : arreglo3;
             f : arreglo4;
             g : arreglo5;
            d1 : arreglo6;
            e1 : arreglo7;
            f1 : arreglo8;
            g1 : arreglo9;
      MySeries : TLineSeries;

implementation

uses UFrmRepRes28D, Math, DateUtils;

{$R *.dfm}

procedure TFrmGrafTabla1.BitBtn1Click(Sender: TObject);
begin
 FrmRepRes28D.Show;
 Close;
end;

procedure TFrmGrafTabla1.BitBtn2Click(Sender: TObject);
var
                    j : integer;
                   V1 : extended;
                    V : string;
                 des1 : extended;
                 des2 : string;
                   k1 : extended;
                   k2 : extended;
   SemiLongDeSimetria : double;
              LongIzq : double;
              LongDer : double;
            AbcisaMax : double;
                Incre : double;
                 expo : double;
                    x : extended;
                    y : extended;

begin
 V1 := (des/prom) * 100;
 Str(V1:4:2,V);
 des1 := des;
 Str(des1:4:2,des2);
 ShowMessage('Media = ' + FloatToStr(prom)+' '+'DesSt = '+ des2 +
             ' '+'V = '+V+' '+'%');
 k1 := 1/(des * sqrt(2 * Pi));
 k2 := - 1/(2 * sqr(des));
 // ElInicioDeLasAbcisasAbcisaMinima := LongIzq
 SemiLongDeSimetria := 4 * des; //SeSabeQueAEstaDistDelPromLaOrdenadaYaEsPequea
 LongIzq := prom - SemiLongDeSimetria; //MedidaAPartirDelEjeDeLasOrdenadas
 LongDer := prom + SemiLongDeSimetria;   // MedidaAPartirDelEjeDeLasOrdenadas
 AbcisaMax := LongDer;        // ParaQueExistaSimetria
 Incre := (2 * LongIzq)/100; //'Incre'Es'Incremento'ElNum'100'EsArbitrario
 x := LongIzq;
 j := 0;
 While x <= AbcisaMax Do
 begin
  SetLength(d, j + 1);
  SetLength(e, j + 1);
  d[j] := x;
  expo := k2 * sqr(x - prom);
  y := k1 * Exp(expo); // 'Exp(expo)'Es'e'ElevadaAlExponente'expo'
  e[j] := y;
  x := x + Incre;
  j := j + 1;
 end;
end;

procedure TFrmGrafTabla1.BitBtn3Click(Sender: TObject);
var
   MySeries : TLineSeries;
          k : integer;

begin
 {MySeries.Clear;}
 MySeries := TLineSeries.Create(Self);
 MySeries.ParentChart := Chart1;
 MySeries.SeriesColor := clLime;
 Chart1.Gradient.StartColor := clWhite;
 Chart1.Gradient.EndColor := clYellow;
 Chart1.Gradient.Visible := true;
 Chart1.Gradient.Direction := gdfromCenter;
 With MySeries do
 begin
  Clear;
  For k := 0 To Length(d)-1 do
  begin
   AddXY(d[k],e[k],'',ClTeeColor);
  end;
 end;
end;

procedure TFrmGrafTabla1.BitBtn4Click(Sender: TObject);
var
                   fc : extended; {Es la f'c}
                fcr10 : extended; {fcr para V = 10 %}
                    t : extended;
                    V :extended;
                prom1 : extended;
                prom2 : string;
                 des1 : extended;
                 des2 : string;
                    k : integer;
                    j : integer;
                   k1 : extended;
                   k2 : extended;
   SemiLongDeSimetria : double;
              LongIzq : double;
              LongDer : double;
            AbcisaMax : double;
                Incre : double;
                 expo : double;
                    x : extended;
                    y : extended;

begin
 {El coeficiente de variacin vale 10 % (V = 0.10), para valuar 'fcr10'}
 fc := 210; {En Kg/cm2,valor impuesto.Vease Pag.20 ACI 214-65}
 t := 1.282; {DeLaTabla4Pg.13ACI 214-65 Para'NumMue=Infinito'YProbDe'1en10'}
 V := 0.10; {Valor asignado}
 fcr10 := fc/(1 - t * V);
 prom1 := fcr10;{ES EL NUEVO VALOR DEL PROMEDIO PARA EC.DE DIST.NORMAL}
 des1 := prom1 * V;{ES EL NUEVO VALOR DE DESV.STD PARA LA EC.DE DIST.NORMAL}
 Str(des1:4:2,des2);
 prom1 := Trunc(prom1);
 Str(prom1:4:0,prom2);
 ShowMessage('fcr = ' + prom2 + ' ' + 'DesSt = '+ des2);
 k1 := 1/(des1 * sqrt(2 * Pi));
 k2 := - 1/(2 * sqr(des1));
 prom1 := fcr10;{ParaLosSig.Renglones}
 // ElInicioDeLasAbcisasAbcisaMinima := LongIzq
 SemiLongDeSimetria := 4 * des1; //SeSabeQueAEstaDistDelPromLaOrdenadaYaEsPequea
 LongIzq := prom1 - SemiLongDeSimetria; //MedidaAPartirDelEjeDeLasOrdenadas
 LongDer := prom1 + SemiLongDeSimetria;   // MedidaAPartirDelEjeDeLasOrdenadas
 AbcisaMax := LongDer;        // ParaQueExistaSimetria
 Incre := (2 * LongIzq)/100; //'Incre'Es'Incremento'ElNum'100'EsArbitrario
 x := LongIzq;
 j := 0;
 While x <= AbcisaMax Do
 begin
  SetLength(f, j + 1);
  SetLength(g, j + 1);
  f[j] := x;
  expo := k2 * sqr(x - prom1);
  y := k1 * Exp(expo); // 'Exp(expo)'Es'e'ElevadaAlExponente'expo'
  g[j] := y;
  x := x + Incre;
  j := j + 1;
 end;
 MySeries := TLineSeries.Create(Self);
 MySeries.ParentChart := Chart1;
 MySeries.SeriesColor := clRed;{clAqua}
 {Chart1.Gradient.StartColor := clWhite;
 Chart1.Gradient.EndColor := clYellow;
 Chart1.Gradient.Visible := true;
 Chart1.Gradient.Direction := gdfromCenter;}
 With MySeries do
 begin
  Clear;
  For k := 0 To Length(f)-1 do
  begin
   AddXY(f[k],g[k],'',ClTeeColor);
  end;
 end;
end;


procedure TFrmGrafTabla1.BitBtn5Click(Sender: TObject);
var
                   fc : extended; {Es la f'c}
                fcr15 : extended; {fcr para V = 15 %}
                    t : extended;
                    V :extended;
                prom1 : extended;
                prom2 : string;
                 des1 : extended;
                 des2 : string;
                    k : integer;
                    j : integer;
                   k1 : extended;
                   k2 : extended;
   SemiLongDeSimetria : double;
              LongIzq : double;
              LongDer : double;
            AbcisaMax : double;
                Incre : double;
                 expo : double;
                    x : extended;
                    y : extended;

begin
 {El coeficiente de variacin vale 15 % (V = 0.15), para valuar 'fcr15'}
 fc := 210; {f'c en Kg/cm2,valor impuesto.Vease Pag.20 ACI 214-65}
 t := 1.282; {DeLaTabla4Pg.13 ACI 214-65}
 V := 0.15; {Valor asignado}
 fcr15 := fc/(1 - t * V);
 prom1 := fcr15;{ES EL NUEVO VALOR DEL PROMEDIO PARA EC.DE DIST.NORMAL}
 des1 := prom1 * V;{ES EL NUEVO VALOR DE DESV.STD PARA LA EC.DE DIST.NORMAL}
 Str(des1:4:2,des2);
 prom1 := Trunc(prom1);
 Str(prom1:4:0,prom2);
 ShowMessage('fcr = ' + prom2 + ' ' + 'DesSt = '+ des2);
 k1 := 1/(des1 * sqrt(2 * Pi));
 k2 := - 1/(2 * sqr(des1));
 prom1 := fcr15;{ParaLosSig.Renglones}
 // ElInicioDeLasAbcisasAbcisaMinima := LongIzq
 SemiLongDeSimetria := 3 * des1; //SeSabeQueAEstaDistDelPromLaOrdenadaYaEsPequea
 LongIzq := prom1 - SemiLongDeSimetria; //MedidaAPartirDelEjeDeLasOrdenadas
 LongDer := prom1 + SemiLongDeSimetria;   // MedidaAPartirDelEjeDeLasOrdenadas
 AbcisaMax := LongDer;        // ParaQueExistaSimetria
 Incre := (2 * LongIzq)/100; //'Incre'Es'Incremento'ElNum'100'EsArbitrario
 x := LongIzq;
 j := 0;
 While x <= AbcisaMax Do
 begin
  SetLength(d1, j + 1);
  SetLength(e1, j + 1);
  d1[j] := x;
  expo := k2 * sqr(x - prom1);
  y := k1 * Exp(expo); // 'Exp(expo)'Es'e'ElevadaAlExponente'expo'
  e1[j] := y;
  x := x + Incre;
  j := j + 1;
 end;
 MySeries := TLineSeries.Create(Self);
 MySeries.ParentChart := Chart1;
 MySeries.SeriesColor := clAqua;{clSkyBlue}
 {Chart1.Gradient.StartColor := clWhite;
 Chart1.Gradient.EndColor := clYellow;
 Chart1.Gradient.Visible := true;
 Chart1.Gradient.Direction := gdfromCenter;}
 With MySeries do
 begin
  Clear;
  For k := 0 To Length(d1)-1 do
  begin
   AddXY(d1[k],e1[k],'',ClTeeColor); {AquiSeCambioElMal'AddXY(e1[k],d1[k],'',ClTeeColor'}
  end;
 end;
end;


procedure TFrmGrafTabla1.BitBtn6Click(Sender: TObject);
var
                   fc : extended; {Es la f'c}
                fcr20 : extended; {fcr para V = 20 %}
                    t : extended;
                    V :extended;
                prom1 : extended;
                prom2 : string;
                 des1 : extended;
                 des2 : string;
                    k : integer;
                    j : integer;
                   k1 : extended;
                   k2 : extended;
   SemiLongDeSimetria : double;
              LongIzq : double;
              LongDer : double;
            AbcisaMax : double;
                Incre : double;
                 expo : double;
                    x : extended;
                    y : extended;

begin
 {El coeficiente de variacin vale 20 % (V = 0.2), para valuar 'fcr20'}
 fc := 210; {f'c en Kg/cm2,valor impuesto.Vease Pag.20 ACI 214-65}
 t := 1.282; {DeLaTabla4Pg.13 ACI 214-65}
 V := 0.2; {Valor asignado}
 fcr20 := fc/(1 - t * V);
 prom1 := fcr20;{ES EL NUEVO VALOR DEL PROMEDIO PARA EC.DE DIST.NORMAL}
 des1 := prom1 * V;{ES EL NUEVO VALOR DE DESV.STD PARA LA EC.DE DIST.NORMAL}
 Str(des1:4:2,des2);
 prom1 := Trunc(prom1);
 Str(prom1:4:0,prom2);
 ShowMessage('fcr = ' + prom2 + ' ' + 'DesSt = '+ des2);
 k1 := 1/(des1 * sqrt(2 * Pi));
 k2 := - 1/(2 * sqr(des1));
 prom1 := fcr20;{ParaLosSig.Renglones}
 // ElInicioDeLasAbcisasAbcisaMinima := LongIzq
 SemiLongDeSimetria := 2.5 * des1; //SeSabeQueAEstaDistDelPromLaOrdenadaYaEsPequea
 LongIzq := prom1 - SemiLongDeSimetria; //MedidaAPartirDelEjeDeLasOrdenadas
 LongDer := prom1 + SemiLongDeSimetria;   // MedidaAPartirDelEjeDeLasOrdenadas
 AbcisaMax := LongDer;        // ParaQueExistaSimetria
 Incre := (2 * LongIzq)/100; //'Incre'Es'Incremento'ElNum'100'EsArbitrario
 x := LongIzq;
 j := 0;
 While x <= AbcisaMax Do
 begin
  SetLength(f1, j + 1);
  SetLength(g1, j + 1);
  f1[j] := x;
  expo := k2 * sqr(x - prom1);
  y := k1 * Exp(expo); // 'Exp(expo)'Es'e'ElevadaAlExponente'expo'
  g1[j] := y;
  x := x + Incre;
  j := j + 1;
 end;
 MySeries := TLineSeries.Create(Self);
 MySeries.ParentChart := Chart1;
 MySeries.SeriesColor := clFuchsia;{clYellow,clSilver}
 {Chart1.Gradient.StartColor := clWhite;
 Chart1.Gradient.EndColor := clYellow;
 Chart1.Gradient.Visible := true;
 Chart1.Gradient.Direction := gdfromCenter;}
 With MySeries do
 begin
  Clear;
  For k := 0 To Length(f1)-1 do
  begin
   AddXY(f1[k],g1[k],'',ClTeeColor);
  end;
 end;
end;

end.
