unit UDataModule2;

interface

uses
  SysUtils, Classes, DB, DBTables, DateUtils;

type
  TDM2 = class(TDataModule)
    Query1: TQuery;
    DataSource1: TDataSource;
    Query1COL: TStringField;
    Query1FechaAM: TDateField;
    Query1HoraAM: TTimeField;
    Query1FechaEM: TDateField;
    Query1HoraEM: TTimeField;
    Query1TFrag: TStringField;
    Query1EdadFragN: TStringField;
    Query1EdadFragR: TStringField;
    Query1Elemento: TStringField;
    Query1TiempoParaEnsaye: TStringField;
    Query1NumeroMuestras: TStringField;
    procedure Query1CalcFields(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DM2: TDM2;

implementation

{$R *.dfm}

procedure TDM2.Query1CalcFields(DataSet: TDataSet);
var
TiempoInicialD, TiempoFinalD : TDateTime;
                     difhora : string;
                     difsegI : integer;
                       sdate : string;
                       stime : string;
                  EdadActEnH : string;
                    STensaye : string;
                   STensaye2 : string;
                      NumReg : integer;
                         Num : integer;
               EdadAsigHoras : integer;
       // EnElCodSigSeHizoElCambioDE'dbedtTF.Text' Por 'DataSet.FileName('TFrag'.AsString E IgualParaOtros
begin  // Para evaluar la variable 'EdadAsigHoras'
 Num := 0;
 if ((Dataset.FieldByName('TFrag').AsString <> '') and (Dataset.FieldByName('TFrag').AsString = 'N' )) then
 begin
  if (Dataset.FieldByName('EdadFragN').AsString = '7D') then Num := 168;
  if (Dataset.FieldByName('EdadFragN').AsString = '14D') then Num := 336;
  if (Dataset.FieldByName('EdadFragN').AsString = '28D') then Num := 672;
 end;
 if ((Dataset.FieldByName('TFrag').AsString <> '') and (Dataset.FieldByName('TFrag').AsString = 'R' )) then
 begin
  if (Dataset.FieldByName('EdadFragR').AsString = 'H') then Num := 22;
  if (Dataset.FieldByName('EdadFragR').AsString = '3D') then Num := 72;
  if (Dataset.FieldByName('EdadFragR').AsString = '7D') then Num := 168;
  if (Dataset.FieldByName('EdadFragR').AsString = '14D') then Num := 336;
 end;
 EdadAsigHoras := Num;

 // Aqu es para obtener 'EdadActEnH' Y 'DBEdadActEnD'(OJO!NoSonCamposCalculados)
 // Que serviran para obtener, mas adelante, el campo calculado, 'TiempoParaEnsayeEnH'

 sdate := Dataset.FieldByName('FechaEM').AsString;
 stime := Dataset.FieldByName('HoraEM').AsString;

 TiempoInicialD := StrToDateTime(sdate +
                   '  ' + stime);
 TiempoFinalD := StrToDateTime(DateToStr(Date) +  // Fecha y Hora del sistema
                '  ' + TimeToStr(Time));
 difsegI := SecondsBetween(TiempoInicialD, TiempoFinalD);
 difhora := FloatToStr(difsegI / 3600);
 EdadActEnH := difhora;
 //////////////////////////////////////////////////////////////////////
 // Aqu para Obtener 'TiempoParaEnsaye' (EsUnCampoCalculado)

 STensaye := FloatToStr(EdadAsigHoras - StrToFloat(EdadActEnH));
 {AContinuacinParaQueSiempreSeExhibaConDosCifrasDecimales}
  Str(StrToFloat(STensaye):4:2,STensaye2);
  STensaye := STensaye2;

 if (StrToFloat(STensaye)  < 0) then
 begin
 STensaye := FloatToStr(0.001); //Experiencia : 'SI SE PONE CERO LA MAQ.SE PASMA O QuedaEnBlancoElDBGrid
 Dataset.FieldByName('TiempoParaEnsaye').AsString := STensaye
 end
 else
 Dataset.FieldByName('TiempoParaEnsaye').AsString := STensaye; {TodoLoAnteriorFunciona!}
////////////////////////////////////////////////////////////////////
NumReg := Dataset.RecordCount;
Dataset.FieldByName('NumeroMuestras').AsString := IntToStr(NumReg);
end;

end.
