unit UFrmDM1Tes1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ComCtrls, Mask, StdCtrls, DBCtrls, jpeg, Buttons,
  Grids, DBGrids, DB, DBTables, DateUtils;

type
  TFrmDM1Tes1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    dbedtCOL: TDBEdit;
    dbedtFAM: TDBEdit;
    dbedtHAM: TDBEdit;
    dbedtFEM: TDBEdit;
    dbedtHEM: TDBEdit;
    edtFAM: TEdit;
    edtHAM: TEdit;
    maskedtHora: TMaskEdit;
    DateTimePicker1: TDateTimePicker;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    cbxAMPM: TComboBox;
    Label6: TLabel;
    dbedtTF: TDBEdit;
    dblcbxTF: TDBLookupComboBox;
    Label7: TLabel;
    dbedtEFN: TDBEdit;
    dblcbxEFN: TDBLookupComboBox;
    Label8: TLabel;
    dbedtEFR: TDBEdit;
    dblcbxEFR: TDBLookupComboBox;
    Label9: TLabel;
    dbedtE: TDBEdit;
    dblcbxE: TDBLookupComboBox;
    DBNavigator1: TDBNavigator;
    Image1: TImage;
    Image2: TImage;
    VerificaHEM: TBitBtn;
    VerificaTD: TBitBtn;
    BitBtn1: TBitBtn;
    procedure dbedtCOLKeyPress(Sender: TObject; var Key: Char);
    procedure maskedtHoraKeyPress(Sender: TObject; var Key: Char);
    procedure VerificaHEMClick(Sender: TObject);
    procedure VerificaTDClick(Sender: TObject);
    procedure dblcbxTFClick(Sender: TObject);
    procedure dblcbxEFNClick(Sender: TObject);
    procedure dblcbxEFRClick(Sender: TObject);
    procedure dblcbxEClick(Sender: TObject);
    procedure DBNavigator1Click(Sender: TObject; Button: TNavigateBtn);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmDM1Tes1: TFrmDM1Tes1;

implementation

uses UFrmConcreto, UDataModule1;

{$R *.dfm}

procedure TFrmDM1Tes1.dbedtCOLKeyPress(Sender: TObject; var Key: Char);
begin
 Key:=#0;
end;

procedure TFrmDM1Tes1.maskedtHoraKeyPress(Sender: TObject; var Key: Char);
begin
 //SOLO RECIBE TECLAS DEL 0 AL 9
 if not(Key in['0'..'9']) then
 Key:=#0;
 /////////////////////////////////
end;

procedure TFrmDM1Tes1.VerificaHEMClick(Sender: TObject);
var
  guarda : boolean;
   sdate : TDate;
 sstring : string;
begin
 //VERIFICA SI ESCRIBIERON LA HORA INICIAL COMPLETA
 guarda := true;
 if Length(Trim(maskedtHora.Text)) < 8 then begin
  Application.MessageBox(PChar('La longitud de la hora inicial es incorrecta...'),'Verificar', mb_ok + MB_ICONINFORMATION );
  guarda := false;
  {exit;}
 end;
////////////////////////////////////////////////////

//VERIFICA SI LA HORA DIGITADA ES CORRECTA
 if StrToInt(Copy(maskedtHora.Text,1,2)) > 12 then begin
  Application.MessageBox(PChar('La hora de la hora inicial es incorrecta...'),'Verificar', mb_ok + MB_ICONINFORMATION );
  maskedtHora.SetFocus;
  guarda := false;
  {exit;}
 end;

//VERIFICA SI LOS MINUTOS DIGITADOS SON CORRECTOS
 if StrToInt(Copy(maskedtHora.Text,4,2)) > 59 then begin
  Application.MessageBox(PChar('Los minutos de la hora inicial son incorrectos...'),'Verificar', mb_ok + MB_ICONINFORMATION );
  maskedtHora.SetFocus;
  guarda := false;
  {exit;}
 end;

//VERIFICA SI LOS SEGUNDOS DIGITADOS SON CORRECTOS
 if StrToInt(Copy(maskedtHora.Text,7,2)) > 59 then begin
  Application.MessageBox(PChar('Los segundos de la hora inicial es incorrecta...'),'Verificar', mb_ok + MB_ICONINFORMATION );
  maskedtHora.SetFocus;
  guarda := false;
  {exit;}
 end;

 if guarda = true then
 begin
  dbedtHEM.Text := maskedtHora.Text + ' ' + cbxAMPM.Text; //QuedaTodoStringYElDatoEsTime(TengoDuda)
  sdate := DateTimePicker1.Date;
  sstring := DateToStr(sdate);
  dbedtFEM.Text := sstring;
 end;
end;


procedure TFrmDM1Tes1.VerificaTDClick(Sender: TObject);
var
                         va1 : boolean;
                         va2 : boolean;
                         va3 : boolean;
                         va4 : boolean;
                         va5 : boolean;
                         va6 : boolean;
                 IndicaEdad  : string;
                 IndicaFecha : string;
                 IndHoraCOL  : string;
                 Aux1HoraCOL : string;
                 Aux2HoraCOL : string;

begin
 //AContinuacinSeObtiene'dbedtCOL'{CdigoDeLaboratorio}
 if ((dbedtTF.Text <> '') and (dbedtTF.Text = 'N' )) then
 begin
  if (dbedtEFN.Text = '7D') then IndicaEdad := '1';
  if (dbedtEFN.Text = '14D') then IndicaEdad := '2';
  if (dbedtEFN.Text = '28D') then IndicaEdad := '3';
 end;
 if ((dbedtTF.Text <> '') and (dbedtTF.Text = 'R' )) then
 begin
  if dbedtEFR.Text = 'H' then IndicaEdad := '4';
  if dbedtEFR.Text = '3D' then IndicaEdad := '5';
  if dbedtEFR.Text = '7D' then IndicaEdad := '6';
  if dbedtEFR.Text = '14D' then IndicaEdad := '7';
 end;
 IndicaFecha := Copy(dbedtFEM.Text,1,2) + Copy(dbedtFEM.Text,4,2) +
                Copy(dbedtFEM.Text,9,2); // De'08/05/2007'Da'080507'
  Aux1HoraCOL := Copy(dbedtHEM.Text,1,2); // Da'01'  '12'DeLaHora'01:14:00 a.m.'
  Aux2HoraCOL := Copy(dbedtHEM.Text,10,1);// Da'a'  'p'DeLaHora
  If ((StrToInt(Aux1HoraCOL) < 12) and (Aux2HoraCOL = 'p')) then
   IndHoraCOL := IntToStr(StrToInt(Aux1HoraCOL) + 12) +
                 Copy(dbedtHEM.Text,4,2)//De'01:14:00 p.m.'Da'1314'
  else
  If ((StrToInt(Aux1HoraCOL) < 12) and (Aux2HoraCOL = 'a')) then
   IndHoraCOL := Aux1HoraCOL +
                 Copy(dbedtHEM.Text,4,2);//De'08:14:00 a.m.'Da'0814'

   If ((StrToInt(Aux1HoraCOL) = 12) and (Aux2HoraCOL = 'p')) then
   IndHoraCOL := Aux1HoraCOL +
                 Copy(dbedtHEM.Text,4,2);//De'12:14:00 p.m.'Da'1214'

   If ((StrToInt(Aux1HoraCOL) = 12) and (Aux2HoraCOL = 'a')) then
   IndHoraCOL := IntToStr(StrToInt(Aux1HoraCOL) - 12) + '0' +
                 Copy(dbedtHEM.Text,4,2);//De'12:14:00 a.m.'Da'0014'

   dbedtCOL.Text := IndicaFecha + dbedtTF.Text + IndicaEdad +
                  dbedtE.Text + IndHoraCOL; //OSea:6+1+1+1+4=13Digitos

 va1 := dbedtCOL.Text <> '';
 va2 := (dbedtFAM.Text <> '') and (dbedtHAM.Text <> '');
 va3 := (dbedtFEM.Text <> '') and (dbedtHEM.Text <> '');
 va4 := (dbedtTF.Text <> '') and (dbedtE.Text <> '');

 if dbedtTF.Text = 'N' then
 va5 := (dbedtEFN.Text <> '')
 else
 va5 := (dbedtEFR.Text <> '');

 va6 := va1 and va2 and va3 and va4 and va5;

 if va6 then
 begin
  ShowMessage('LOS DATOS ESTAN COMPLETOS.PROCEDE SU REGISTRO A LA BASE DE DATOS');
  DBNavigator1.VisibleButtons := [nbPost];
 end
 else
  ShowMessage('HASTA QUE TODOS LOS DATOS NO SEAN CAPTURADOS NO PODRAN REGISTRARSE EN LA BASE DE DATOS');
end;

procedure TFrmDM1Tes1.dblcbxTFClick(Sender: TObject);
begin
 dbedtTF.Text := DM1.TbTFragId.Value;
end;

procedure TFrmDM1Tes1.dblcbxEFNClick(Sender: TObject);
begin
 if dbedtTF.Text = 'N' then
  dbedtEFN.Text := DM1.TbEdFNId.Value
 else
 dbedtEFN.Text := '';
end;

procedure TFrmDM1Tes1.dblcbxEFRClick(Sender: TObject);
begin
 if dbedtTF.Text = 'R' then
 dbedtEFR.Text := DM1.TbEdFRId.Value
 else
 dbedtEFR.Text := '';
end;

procedure TFrmDM1Tes1.dblcbxEClick(Sender: TObject);
begin
 dbedtE.Text := DM1.TbElemId.Value;
end;

procedure TFrmDM1Tes1.DBNavigator1Click(Sender: TObject;
  Button: TNavigateBtn);
begin
 if Button = nbInsert then
 begin
  edtFAM.Text := datetostr(date);
  dbedtFAM.Text := edtFAM.Text;
  edtFAM.Enabled := false;
  edtHAM.Text := timetostr(time);
  dbedtHAM.Text := edtHAM.Text;
  edtHAM.Enabled := false;
 end;
 if Button = nbPost then
 begin
  DBNavigator1.VisibleButtons := [nbFirst, nbPrior, nbNext, nbLast,
  nbInsert, nbDelete, nbCancel, nbRefresh];
 end;
end;

procedure TFrmDM1Tes1.BitBtn1Click(Sender: TObject);
begin
 FrmConcreto.Show;
 Close;
end;

end.
