unit UFrmResAleat;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons;

type
  TFrmResAleat = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    ListBox1: TListBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button1: TButton;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Button2: TButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  type
  arreglo = array of integer;
  arreglo2 = array of string;
  arreglo3 = array of double;

var
  FrmResAleat : TFrmResAleat;
            a : arreglo;
            b : arreglo2;
            c : arreglo3;

implementation

uses UFrmRepRes, UFrmGrafCoeVar, Math;

{$R *.dfm}

procedure TFrmResAleat.BitBtn2Click(Sender: TObject);
begin
 FrmRepRes.Show;
 Close;
end;

procedure TFrmResAleat.BitBtn1Click(Sender: TObject);
begin
 FrmGrafCoeVar.Show;
 Close;
end;

procedure TFrmResAleat.Button1Click(Sender: TObject);
var
       NumMue : Integer;
         VMax : Integer;
         VMin : Integer;
           v1 : boolean;
           v2 : boolean;
           v3 : boolean;
           v4 : boolean;
           v5 : boolean;
  ValorNumMue : boolean;
 ValorNumMue2 : boolean;
    ValorVMax : boolean;
   ValorVMax2 : boolean;
   ValorVMax3 : boolean;
    ValorVMin : boolean;
   ValorVMin2 : boolean;
   ValorVMin3 : boolean;
            k : integer;
            i : integer;
            j : integer;

begin
 v1 := Edit4.Text <> '';
 v2 := Edit5.Text <> '';
 v3 := Edit6.Text <> '';
 v4 := StrToFloat(Edit4.Text) > 29;
 v5 := v1 and v2 and v3 and v4;

 NumMue := StrToInt(Edit4.Text);
 VMax := StrToInt(Edit5.Text);
 VMin := StrToInt(Edit6.Text);
 {NumMue/Mes = 6Brig.deMuestreo/dia*6mue/Brig.*6dias/sem*4sem = 864}
 ValorNumMue := NumMue <= 0;
 ValorNumMue2 := (NumMue > 0) and (NumMue > 864);
 {ElMaximoValorDe'VMax' = 282,744/(PI*15*15) = 400, (250*1.6 = 400)VerCodigoFuenteDe'UFmResis'}
 ValorVMax := VMax <= 0;
 ValorVMax2 := (VMax > 0 ) and (VMax > 400);
 ValorVMax3 := (VMax > 0 ) and (VMax < 220); {210 = 1.1 * 200}
 {ElMinimoValorDe'Vmin' = 28,275/(PI*15*15) = 40 VerCodigoFuenteDe'UFmResis'}
 ValorVMin := VMin <= 0;
 ValorVMin2 := (VMin > 0) and (VMin < 40);
 ValorVMin3 := (VMin > 0) and (VMin > 140); {140 = 200 * 0.7}

//////////////////////////////////////////////////// {INICIO FILTRO}

//VERIFICA SI EL VALOR DEL NUMERO DE ENSAYES ES CORRECTO
 if ValorNumMue then
 begin
  Application.MessageBox(PChar('EL VALOR DEL NUMERO DE ENSAYES NO ES UN VALOR REAL...'),'VERIFICAR', mb_ok + MB_ICONINFORMATION );
  edit4.SetFocus;
  exit;
 end;

 //VERIFICA SI EL VALOR DEL NUMERO DE ENSAYES ESTA DENTRO DE RANGO EN MAX
 if ValorNumMue2 then
 begin
  Application.MessageBox(PChar('EL VALOR DEL NUMERO DE ENSAYES ESTA FUERA DE RANGO EN MAX...'),'VERIFICAR', mb_ok + MB_ICONINFORMATION );
  edit4.SetFocus;
  exit;
 end;

//VERIFICA SI EL VALOR MAXIMO DE LA RESISTENCIA ES CORRECTO
 if ValorVMax then
 begin
  Application.MessageBox(PChar('EL VALOR MAXIMO DE LA RESISTENCIA NO ES UN VALOR REAL...'),'VERIFICAR', mb_ok + MB_ICONINFORMATION );
  edit5.SetFocus;
  exit;
 end;

//VERIFICA SI EL VALOR MAXIMO DE LA RESISTENCIA ESTA DENTRO DE RANGO EN MAX
 if ValorVMax2 then
 begin
  Application.MessageBox(PChar('EL VALOR MAXIMO DE LA RESISTENCIA ESTA FUERA DE RANGO EN MAX...'),'VERIFICAR', mb_ok + MB_ICONINFORMATION );
  edit5.SetFocus;
  exit;
 end;

//VERIFICA SI EL VALOR MAXIMO DE LA RESISTENCIA ESTA DENTRO DE RANGO EN MIN
 if ValorVMax3 then
 begin
  Application.MessageBox(PChar('EL VALOR MAXIMO DE LA RESISTENCIA ESTA FUERA DE RANGO EN MIN...'),'VERIFICAR', mb_ok + MB_ICONINFORMATION );
  edit5.SetFocus;
  exit;
 end;

//VERIFICA SI EL VALOR MINIMO DE LA RESISTENCIA ES CORRECTO
 if ValorVMin then
 begin
  Application.MessageBox(PChar('EL VALOR MINIMO DE LA RESISTENCIA NO ES UN VALOR REAL...'),'VERIFICAR', mb_ok + MB_ICONINFORMATION );
  edit6.SetFocus;
  exit;
 end;

//VERIFICA SI EL VALOR MINIMO DE LA RESISTENCIA ESTA DENTRO DE RANGO EN MIN
 if ValorVMin2 then
 begin
  Application.MessageBox(PChar('EL VALOR MINIMO DE LA RESISTENCIA ESTA FUERA DE RANGO EN MIN...'),'VERIFICAR', mb_ok + MB_ICONINFORMATION );
  edit6.SetFocus;
  exit;
 end;

//VERIFICA SI EL VALOR MINIMO DE LA RESIST.ESTA DENTRO DEL RANGO MAXIMO EN MAX
 if ValorVMin3 then
 begin
  Application.MessageBox(PChar('EL VALOR MINIMO DE LA RESISTENCIA ESTA FUERA DE RANGO EN MAX...'),'VERIFICAR', mb_ok + MB_ICONINFORMATION );
  edit6.SetFocus;
  exit;
 end;

/////////////////////////////////////////////////// {TERMINO FILTRO}


 if v5 then
 begin
  Randomize;
  j := 0;
  For k := 1 to NumMue do
  begin
   SetLength(a, j + 1);
   a[j] := RandomRange(VMax,VMin);
   j := j + 1;
  end;
  FrmResAleat.ListBox1.Items.Clear;
  Edit1.Text := '';
  Edit2.Text := '';
  Edit7.Text := '';
  Edit3.Text := '';
  For i := 0 to (NumMue - 1) do
  begin
   FrmResAleat.ListBox1.Items.Add(IntToStr(a[i]));
  end;
 end
 else
 ShowMessage(' INTRODUCIR DATOS CON NUMERO MUESTRAS MAYOR DE 29!!!');
end;


procedure TFrmResAleat.Button2Click(Sender: TObject);
var
       NumMue : Integer;
            p : integer; {k}
            q : integer; {i}
            r : integer; {j}
         prom : extended;
        prom2 : integer;
        prom1 : string;
        prom3 : integer;
          max : extended;
          min : extended;
          des : extended;
         des1 : string;
    porciento : extended;
   porciento1 : string;
   porciento2 : extended;
   porciento3 : string;
         cont : integer;

begin
 NumMue := StrToInt(Edit4.Text);
 r := 0;
 For p := 1 to NumMue do
 begin
  SetLength(b, r + 1);
  SetLength(c, r + 1);
  b[r] := IntToStr(a[r]);
  c[r] := StrToFloat(b[r]);
  r := r + 1;
 end;
 if NumMue >= 30 then
 begin
  MeanAndStdDev(c,prom,des);
  prom1 := IntToStr(Trunc(prom));
  {Str(prom:4:0,prom1);}//SeDesechEstaFuncinPorqueSiLaParteDecDe'prom'EsMayorA'0.5'LoRedondeaAlEnteroMayorMasProximoAlDepositarloEn'prom1'
  edit1.Text:= prom1;
  Str(des:4:2,des1);
  Edit2.Text := des1;
  cont := 0;
  prom2 := Trunc(prom);
  for r:= 0 to length(c)-1 do
  begin
   prom3 := Trunc(c[r]);
   if prom3 >= prom2 then
   cont := cont + 1;
  end;
  porciento := (cont/length(c)) * 100;
  Str(porciento:4:2,porciento1);
  edit7.Text := porciento1;
  min := prom - des;
  max := prom + des;
  r := 0;
  q := 0;
  cont := 0;
  while r <= length(c)-1 do
  begin
   if  ((c[q] >= min) and (c[q] <= max)) then
   cont := cont + 1;
   q := q + 1;
   r := r + 1;
  end;
  cont := cont - 1; {SeHacePorqueSaleAumentadoEn'1'DelWhile}
  porciento2 := (cont/length(c)) * 100;
  Str(porciento2:4:2,porciento3);
  edit3.Text := porciento3;
 end
 else
 begin
  if NumMue <= 29 then
  begin
   MeanAndStdDev(c,prom,des);
   prom1 := IntToStr(Trunc(prom));
   {Str(prom:4:0,prom1);}//SeDesechEstaFuncinPorqueSiLaParteDecDe'prom'EsMayorA'0.5'LoRedondeaAlEnteroMayorMasProximoAlDepositarloEn'prom1'
   edit1.Text:= prom1;
   prom2 := Trunc(prom);
   Str(des:4:2,des1);
   Edit2.Text := des1;
   cont := 0;
   for r:= 0 to length(c)-1 do
   begin
    prom3 := Trunc(c[r]);
    if prom3 >= prom2 then
    cont := cont + 1;
   end;
   porciento := (cont/length(c)) * 100;
   Str(porciento:4:2,porciento1);
   edit7.Text := porciento1;
   edit3.Text := 'NumMue<30'
  end;
 end;
end;


end.
